[tox]
envlist =
    py38
    py39

    linters
skipsdist = True

[testenv]
sitepackages = False
deps =
    coverage
    Django~=3.1
    django-bootstrap-datepicker-plus~=3.0
    django-crispy-forms~=1.9
    django-filter~=2.3
    django-haystack~=3.0
    django-polymorphic~=3.0
    django-tables2~=2.3
    djangorestframework~=3.12
    django-rest-polymorphic~=0.1
    python-magic~=0.4
    whoosh~=2.7
commands =
    coverage run --source=apps,corres2math ./manage.py test apps/ corres2math/
    coverage report -m

[testenv:linters]
deps =
    flake8
    flake8-colors
    flake8-django
    flake8-import-order
    flake8-typing-imports
    pep8-naming
    pyflakes
commands =
    flake8 apps/ corres2math/

[flake8]
exclude =
    .tox,
    .git,
    __pycache__,
    build,
    dist,
    *.pyc,
    *.egg-info,
    .cache,
    .eggs,
    *migrations*
max-complexity = 10
max-line-length = 160
import-order-style = google
application-import-names = flake8
format = ${cyan}%(path)s${reset}:${yellow_bold}%(row)d${reset}:${green_bold}%(col)d${reset}: ${red_bold}%(code)s${reset} %(text)s
